## org.apache.http.client.protocol
Class ResponseContentEncoding

    java.lang.Object
      org.apache.http.client.protocol.ResponseContentEncoding

All Implemented Interfaces:
  HttpResponseInterceptor

    @Immutable
    public class ResponseContentEncoding

extends Object
implements HttpResponseInterceptor

`HttpResponseInterceptor` responsible for processing Content-Encoding responses.

Instances of this class are stateless and immutable, therefore threadsafe.

Since:
  4.1

Constructor Summary
`ResponseContentEncoding()`

Method Summary
`void` `process(HttpResponse response, HttpContext context)` Handles the following `Content-Encoding`s by using the appropriate decompressor to wrap the response Entity: gzip - see `GzipDecompressingEntity` deflate - see `DeflateDecompressingEntity` identity - no action needed

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResponseContentEncoding

    public ResponseContentEncoding()

Method Detail

### process

    public void process(HttpResponse response,
                        HttpContext context)
                 throws HttpException,
                        IOException

  Handles the following `Content-Encoding`s by using the appropriate decompressor to wrap the response Entity:
  - gzip - see `GzipDecompressingEntity`
  - deflate - see `DeflateDecompressingEntity`
  - identity - no action needed

  Specified by:
    `process` in interface `HttpResponseInterceptor`
  Parameters:
    `response` - the response which contains the entity
    `context` - not currently used
  Throws:
    `HttpException` - if the `Content-Encoding` is none of the above
    `IOException`

Copyright © 1999-2011 The Apache Software Foundation. All Rights Reserved.